import { BackHeader } from "@/components/back-header"
import { GlobalLayout } from "@/components/global-layout"
import { Connect } from "@/components/profile/components/connect"
import { Trends } from "@/components/trends/components/trends"
import { Card } from "@/components/ui/card"
import { Separator } from "@/components/ui/separator"
import { getCurrentUser } from "@/lib/session"

export default async function PeoplePage() {
    const session = await getCurrentUser()

    return (
        <GlobalLayout
            mainContent={
                <Card className="w-full overflow-hidden p-6 md:p-12">
                    <Trends min={0} max={5} />
                    <Separator className="my-6 p-0.5" />
                    <Connect session={session} min={0} max={5} />
                </Card>
            }
        />
    )
}