import { BackHeader } from "@/components/back-header"
import { GlobalLayout } from "@/components/global-layout"
import { UserFollows } from "@/components/profile/components/user-follows"
import { Card } from "@/components/ui/card"
import { getCurrentUser } from "@/lib/session"

export default async function Followers({ params }: { params: { username: string } }) {
    const session = await getCurrentUser()

    return (
        <GlobalLayout
            mainContent={
                <Card className="w-full overflow-hidden ">
                    <div className="p-3">
                        <BackHeader>
                            <h1 className="font-bold">Followers</h1>
                        </BackHeader>
                    </div>
                    <div className="px-5">
                        <UserFollows username={params.username} session={session} />
                    </div>
                </Card>
            }
        />
    )
}